# Class ArrayTableColumn<R,C>

java.lang.Object
uk.ac.starlink.util.gui.ArrayTableColumn<R,C>

public abstract class ArrayTableColumn<R,C> extends Object
Provides the specification for a table column. This is to be used in conjunction with `ArrayTableModel`.

Since:
  14 Oct 2009
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ArrayTableColumn(String name, Class<C> clazz)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Class<C>`
`getContentClass()`
Returns the class which all values of this column will belong to.
`String`
`getName()`
Returns the name of this column.
`abstract C`
`getValue(R item)`
Returns the value in this column for the row represented by the given row data object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrayTableColumn

public ArrayTableColumn(String name, Class<C> clazz)
Constructor.

Parameters:
  `name` - column name
  `clazz` - class which all objects returned by the `getValue(R)` method will be instances of (or null)

## Method Details

### getValue

public abstract C getValue(R item)
Returns the value in this column for the row represented by the given row data object.

Parameters:
  `item` - row data object
Returns:
  cell value in this column

### getName

public String getName()
Returns the name of this column.

Returns:
  column name

### getContentClass

public Class<C> getContentClass()
Returns the class which all values of this column will belong to.

Returns:
  content class